WHEREIS(1)

NAME
whereis - locate programs

SYNOPSIS
whereis [-p] program [program ...]

DESCRIPTION
The whereis utility checks the standard binary directories for the specified programs, printing out the paths of any it finds.

The default path searched is the string returned by the sysctl(8) utility for the “user.cs_path” string. If the [-p] option is specified, then the value of the environment variable PATH is used instead.

EXIT STATUS
The whereis utility exits 0 on success, 1 on general error, 2 if only some programs were located and 3 if none were.

COMPATIBILITY
The historic flags and arguments for the whereis utility are no longer available in this version.

SEE ALSO
whatis(1), which(1), sysctl(8)

HISTORY
The whereis command appeared in 3.0BSD.